package ecs

// ECS system by jcerise, github.com/jcerise/gogue

const AppearanceComponent = "appearance"
const CoordsComponent = "coords"
const MobComponent = "mob"
const MoveableComponent = "movable"
const CarriedComponent = "carried"
const UsableComponent = "usable"
const WearableComponent = "usable"
const ArmsComponent = "arms"
const RangedComponent = "ranged"
const AmmoComponent = "ammo"
const ArmorComponent = "armor"

type Component interface {
	Type() string
}