package items

import "lab.zaar.be/thefish/alchemyst-go/engine/ecs"

type CarriedFace interface {
	Drop()
	Pickup()
}

type Carried struct {
	Mass int //масса в граммах
	Bulk int //внешний размер, см3
}

func (c *Carried) Type() string {
	return ecs.CarriedComponent
}

func (c *Carried) Pickup() {}
func (c *Carried) Drop() {}

func (c *Carried) GetMass() int {
	return c.Mass
}
func (c *Carried) GetBulk() int {
	return c.Bulk
}